#!/usr/bin/env python
import os, sys, random, string
import subprocess, shlex

code = os.environ.get("SNIPPET_SOURCE_CODE")
if not code:
    sys.stderr.write("Source code is empty\n")
    sys.exit(1)

code = code.strip()
if not code:
    sys.stderr.write("Source code is empty\n")
    sys.exit(1)

temp_filename = "Snippets.RunScrippet.%s" % "".join([random.choice(string.letters) for i in xrange(10)])
temp_filepath = os.path.join("/tmp", temp_filename)
handler = open(temp_filepath, 'w')
handler.write(code)
handler.close()

os.chmod(temp_filepath, 0755)
# os.system("cd /var/tmp;./%s" % temp_filename)
result = subprocess.Popen(shlex.split("./%s" % temp_filename), stdout=subprocess.PIPE, cwd="/tmp")
output = result.stdout.read().strip()
os.environ['RUN_SNIPPET_OUTPUT'] = output
os.unlink(temp_filepath)
